Closed Bug 379818 Opened 13 years ago Closed 13 years ago

Stop building xpcom-obsolete for suiterunner

Categories

(SeaMonkey :: Build Config, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: standard8, Unassigned)

References

Details

Attachments

(1 file)

Now mailnews doesn't depend on xpcom-obsolete, the only thing blocking suiterunner from not building xpcom-obsolete is sroaming (xpfe builds still use FileSpecs in the profile code).

As there currently doesn't seem to be any takers for fixing up sroaming, I think we should just disable it for suiterunner builds.

So the attached patch stops building both - just for suiterunner.

No packaging changes required because xpfe is still building them and NSIS hasn't landed yet (though hopefully mcsmurf will update the new package list before he does).
Attachment #263853 - Flags: superreview?(neil)
Attachment #263853 - Flags: review?(neil)
Comment on attachment 263853 [details] [diff] [review]
Stop building sroaming and xpcom_obsolete for suiterunner.

r+sr=me for the effect on suiterunner
Attachment #263853 - Flags: superreview?(neil)
Attachment #263853 - Flags: superreview+
Attachment #263853 - Flags: review?(neil)
Attachment #263853 - Flags: review+
Comment on attachment 263853 [details] [diff] [review]
Stop building sroaming and xpcom_obsolete for suiterunner.

Benjamin, can you check this from a build config aspect please?
Attachment #263853 - Flags: review?(benjamin)
Attachment #263853 - Flags: review?(benjamin) → review+
Patch checked in -> fixed.
Status: NEW → RESOLVED
Closed: 13 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.